ContactsGet a contact

Get a contact

GET /contacts/{contact_id}

curl -X GET "https://app.bualpro.com/api/contacts/123" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "id": 123,
  "page_id": 123,
  "first_name": "Johan",
  "last_name": "Ahmad",
  "channel": 42,
  "profile_pic": "example_string",
  "locale": "example_string",
  "gender": 42,
  "timezone": 42,
  "last_sent": 42,
  "last_delivered": 42,
  "last_seen": 42,
  "last_interaction": 42,
  "subscribed_date": "example_string",
  "subscribed": 42,
  "tags": [
    {
      "id": 123,
      "name": "Johan Ahmad"
    }
  ],
  "custom_fields": [
    {
      "id": 123,
      "name": "Johan Ahmad",
      "type": 42,
      "value": "example_string"
    }
  ]
}
GET
/contacts/{contact_id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Responses

idinteger
page_idinteger
first_namestring
last_namestring
channelinteger

0 - Messenger, 2 - SMS, 5 - WhatsApp, 7 - Google Business Message, 8 - Telegram, 9 - Webchat

profile_picstring
localestring
genderinteger

0 - Female, 1 - Male, 2 - Unknown

timezoneinteger
last_sentinteger

Unix timestamp in milliseconds

last_deliveredinteger

Unix timestamp in milliseconds

last_seeninteger

Unix timestamp in milliseconds

last_interactioninteger

Unix timestamp in milliseconds

subscribed_datestring

Subscribed date in UTC. Example 2022-10-12 14:40:00

subscribedinteger

1 - Subscribed, 2 - Unsubscribed

tagsarray
custom_fieldsarray

Get contact by contact id